5.2.0-git
2014-07-28

[#4573] Alternate Portal Layout
Summary Alternate Portal Layout
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2006-10-28 (2830 days ago)
Due
Updated 2008-11-09 (2087 days ago)
Assigned
Resolved
Milestone Horde 4.0
Patch No

History
2008-11-09 16:08:55 Chuck Hagenbuch State ⇒ Accepted
 
2007-06-15 20:05:58 Chuck Hagenbuch State ⇒ Stalled
 
2007-02-09 05:55:06 Chuck Hagenbuch Comment #2 Reply to this comment
This is a very slick implementation of this sort of thing with dhtml:

http://interface.eyecon.ro/demos/sort.html
2006-10-28 18:17:12 Chuck Hagenbuch Comment #1
State ⇒ Accepted
Queue ⇒ Horde Base
Summary ⇒ Alternate Portal Layout
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
It's all much easier and more flexible if we get rid of the 
requirement to allow blocks to be extra-wide. Just having x (still 
configurable) columns, with blocks stacked on each other one over the 
other, makes it much easier to drag them around and determine a sort 
order (instead of the current grid). Also means you don't have to play 
with the length of your task list to avoid wasting space.



Basically, instead of the current grid:



     a | c

     a |

     a |

     - | -

     b | d



Here, "c" has a lot of extra space and "d" is too far down because it 
has to clear "a" as well. I'd propose:



     a | c

     a | -

     a | d

     - | -

     b | e



It also happens to simplify the code a lot, of course, but that's not 
the main reason to do it. The only real bummer with this change that I 
can think of is comics - but I'd just have one extra-wide column in my 
portal to accomodate that; I personally don't think it's worth it just 
for that.